#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libpaper
Version		:	1.1.28
Release		:	17.0.10.rel%{?dist}
Summary		:	Library and tools for handling papersize

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	http://packages.qa.debian.org/libp/libpaper.html

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	libtool
BuildRequires	:	gettext
BuildRequires	:	gawk

#-----------------------------------------------------------------------------
%description
he paper library and accompanying files are intended to provide a 
simple way for applications to take actions based on a system- or 
user-specified paper size. This release is quite minimal, its purpose 
being to provide really basic functions (obtaining the system paper name 
and getting the height and width of a given kind of paper) that 
applications can immediately integrate.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/papersize
%dir %{_sysconfdir}/%{name}.d
%{_bindir}/paperconf
%{_sbindir}/paperconfig
%{_libdir}/%{name}.so
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:	Header files and libraries for Zlib development

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/paper.h
%{_libdir}/%{name}.so.*
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf	-vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libdir=%{_libdir}				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%{__mkdir_p} %{buildroot}%{_sysconfdir}
(
echo '# Simply write the paper name. See papersize(5) for possible values'
echo 'Letter'
)> %{buildroot}%{_sysconfdir}/papersize

%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}.d
for i in cs da de es fr gl hu it ja nl pt_BR sv tr uk vi;
  do
  %{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/locale/$i/LC_MESSAGES/
   msgfmt debian/po/$i.po 				\
	-o %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES/%{name}.mo;
  done
	
%find_lang %{name}

#=============================================================================
%changelog
